HSAVMCORE(8)

NAME
hsavmcore - Enable kdump to release the HSA memory early in the dump process

SYNOPSIS
hsavmcore [OPTIONS]

DESCRIPTION
hsavmcore is designed to make the dump process with kdump more efficient. The HSA memory contains a part of the production kernel's memory. Use hsavmcore to cache this information and release HSA memory early in the process.

Depending on the size of the production kernel's memory, writing the dump to persistent storage can be time consuming and prevent the HSA memory from being reused by other LPARs. The hsavmcore tool performs these steps:

1)  Read the size of the HSA memory from /sys/kernel/debug/zcore/hsa.

2)  Cache the HSA memory content contained in /proc/vmcore either in regular memory or within the file system.

3)  Releases the HSA memory by writing to /sys/kernel/debug/zcore/hsa.

At this stage, the HSA memory region is unavailable to /proc/vmcore and cannot be used by kdump. The hsavmcore tool now combines the cached HSA memory and the non-HSA memory from the original /proc/vmcore to create a replacement for /proc/vmcore. The replacement /proc/vmcore can be processed as usual.

OPTIONS

-h or --help
    Print usage information and exit.

-v or --version
    Print version information and exit.

-V or --verbose
    Print verbose messages to stdout. Repeat this option for increased verbosity from just error messages to also include warning, information, debug, and trace messages. This option is intended for debugging.

-c or --config CONFIGFILE
    Path to the configuration file. By default, no configuration file is used.

-C or --vmcore VMCOREFILE
    Path to the vmcore file. Default: /proc/vmcore.

-H or --hsa ZCOREHSAFILE
    Path to the zcore HSA file. Default: /sys/kernel/debug/zcore/hsa.

-W or --workdir WORKDIR
    Path to the work directory where temporary files can be stored. Default: /var/crash.

-B or --bmvmcore VMCOREFILE
    Path to the target of the bind mount for the replacement vmcore file. Default: /proc/vmcore.

-S or --swap PATH
    Path to a swap device or file. The specified swap device or file must exist and have the proper swap format. Default: no swap device or file is activated.

-T or --hsasize HSASIZE
    HSA size in bytes. Used for testing purposes. Default: -1 (read from the zcore HSA file).

-D or --dbgfsmnt
    Mount the debug file system. Default: the debug file system is not mounted.

-F or --hsamem
    Cache the HSA memory in regular memory. Default: the HSA memory is cached as a file within WORKDIR.

-R or --norelhsa
    Do NOT release the HSA memory after caching. Default: the HSA memory is released.

-N or --nobindmnt
    Do NOT replace the system's vmcore file. Default: the system's vmcore file is replaced.

-G or --fusedbg
    Enable FUSE debugging. Default: FUSE debugging is disabled.

EXAMPLES

To run hsavmcore on a kdump system during a stand-alone dump with default parameters:
    hsavmcore
    makedumpfile -d 31 /proc/vmcore test-dump.elf

To test hsavmcore with a vmcore copy and without being in a kdump system (for debugging):
    hsavmcore -VVV -T 0x1ffff000 -C vmcore-dump.elf -N -R
    makedumpfile -d 31 /tmp/hsavmcore-overlay/vmcore test-dump.elf

SEE ALSO
hsavmcore.conf(5)